﻿@model InsertPetOwnerViewModel

<div class="row">
    <div class="col-md-4">
        <form asp-controller="PetOwner" asp-action="Insert" method="post">
            <h4><i class="fa fa-user fa-fw"></i> Unesite podatke klijenta</h4>
            <hr />
            <div class="form-group">
                @Html.Label("FirstName", "Ime(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.FirstName, new { @class = "form-control", @placeholder = "Unesite ime..." })
                @Html.ValidationMessageFor(m => m.FirstName, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("LastName", "Prezime(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.LastName, new { @class = "form-control", @placeholder = "Unesite prezime..." })
                @Html.ValidationMessageFor(m => m.LastName, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("PhoneNumber", "Broj telefona(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.PhoneNumber, new { @class = "form-control", @placeholder = "Unesite broj telefona..." })
                @Html.ValidationMessageFor(m => m.PhoneNumber, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Email", "E-pošta", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Email, new { @class = "form-control", @placeholder = "Unesite e-poštu..." })
                @Html.ValidationMessageFor(m => m.Email, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("StreetAdress", "Ulica i broj", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.StreetAdress, new { @class = "form-control", @placeholder = "Unesite ulicu i broj..." })
                @Html.ValidationMessageFor(m => m.StreetAdress, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Municipality", "Opština", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.Municipality, new { @class = "form-control", @placeholder = "Unesite opštinu..." })
                @Html.ValidationMessageFor(m => m.Municipality, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("UserName", "Korisničko ime(*)", new { style = "font-weight:bold" })
                @Html.TextBoxFor(m => m.UserName, new { @class = "form-control", @placeholder = "Unesite korisničko ime..." })
                @Html.ValidationMessageFor(m => m.UserName, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("Password", "Šifra(*)", new { style = "font-weight:bold" })
                @Html.PasswordFor(m => m.Password, new { @class = "form-control", @placeholder = "Unesite šifru..." })
                @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                @Html.Label("ConfirmPassword", "Potvrdi šifru(*)", new { style = "font-weight:bold" })
                @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Potvrdite šifru..." })
                @Html.ValidationMessageFor(m => m.ConfirmPassword, "", new { @class = "text-danger" })
            </div>
            <hr />
            <button type="submit" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-dark btn-sm"><i class="fa fa-user-plus fa-sm" aria-hidden="true"></i> Sačuvaj</button>
            <a asp-controller="Home" asp-action="Index" style="margin:0px 5px 20px 0px; font-size:medium" class="btn btn-danger btn-sm"><i class="fa fa-times fa-sm" aria-hidden="true"></i> Poništi</a>
        </form>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}